# Gaussian DFT (BLYP) single point energy

from chemsh       import *
from chemsh.utils import testutils

water = Fragment(coords="water.cjson")

# default functional is 'blyp'
gaussian = Gaussian(frag=water, method='dft', basis="3-21g")

sp = SP(theory=gaussian, gradients=True)

sp.run()

ecalc = sp.result.energy

# Test result
# NWChem
eref = -75.94688958
# Tcl-ChemShell/Gaussian16
eref = -7.59468894718000e+01


testutils.validate(ecalc, eref)
